Note : This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support .
GET https://api.ap1.datadoghq.com/api/v2/oauth2/.well-known/sites https://api.ap2.datadoghq.com/api/v2/oauth2/.well-known/sites https://api.datadoghq.eu/api/v2/oauth2/.well-known/sites https://api.ddog-gov.com/api/v2/oauth2/.well-known/sites https://api.us2.ddog-gov.com/api/v2/oauth2/.well-known/sites https://api.uk1.datadoghq.com/api/v2/oauth2/.well-known/sites https://api.datadoghq.com/api/v2/oauth2/.well-known/sites https://api.us3.datadoghq.com/api/v2/oauth2/.well-known/sites https://api.us5.datadoghq.com/api/v2/oauth2/.well-known/sites
개요 Retrieve the list of public OAuth2 sites available for the current environment. This endpoint is used for OAuth2 discovery and returns sites where users can authenticate.
응답 OK
Response payload containing the list of public OAuth2 sites for discovery.
Expand All
Data object containing OAuth2 well-known sites information.
Attributes containing the list of public OAuth2 sites.
Array of public OAuth2 site URLs for the environment.
JSON:API resource type for OAuth2 well-known sites environment.
Allowed enum values: env
default: env
{
"data" : {
"attributes" : {
"sites" : [
"datadoghq.com" ,
"datadoghq.eu" ,
"us5.datadoghq.com" ,
"us3.datadoghq.com" ,
"ap1.datadoghq.com" ,
"ap2.datadoghq.com"
]
},
"id" : "prod" ,
"type" : "env"
}
} Too many requests
{
"errors" : [
"Bad Request"
]
} 코드 사례 복사
# Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/oauth2/.well-known/sites " \
-H "Accept: application/json"